com.sleepycat.collections

## Interface TransactionWorker

    public interface TransactionWorker

The interface implemented to perform the work within a transaction. To run a transaction, an instance of this interface is passed to the `TransactionRunner.run(com.sleepycat.collections.TransactionWorker)` method.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `doWork()` Perform the work for a single transaction.

### Method Detail

#### doWork

    void doWork()
         throws java.lang.Exception

Perform the work for a single transaction.

Throws:
  `java.lang.Exception` - the exception to be thrown to the caller of `TransactionRunner.run(TransactionWorker)`. The exception will first be unwrapped by calling `ExceptionUnwrapper.unwrap(java.lang.Exception)`, and the transaction will be aborted.
See Also:
  `TransactionRunner.run(com.sleepycat.collections.TransactionWorker)`